# -*- coding: utf-8 -*-
"""
Created on Sun May  7 21:20:58 2023

@author: Johannes Neumeyer
"""
from graphics_and_games_klassen import Rechteck

class Farbbalken(Rechteck):
    """
    Farbbalken einer Farbpalette
    """

    def __init__(self, rot, grün, blau):
        """
        Erstellt einen Farbbalken mit den angegebenen RGB-Farbanteilen.
        Eingaben mit Werten kleiner 0 und Werten größer als 255 werden abgefangen.
        -- Parameter rot Rotanteil als Zahl zwischen 0 und 255
        -- Parameter grün Grünanteil als Zahl zwischen 0 und 255
        -- Parameter blau Blauanteil als Zahl zwischen 0 und 255
        """
        super().__init__()
        self.FarbeSetzen((abs(rot%256), abs(grün%256), abs(blau%256)))
        self.GroesseSetzen(200, 25)

p = Farbbalken(255, 0, 255)
